# Repzo API - Settings

OpenAPI specification for Repzo Settings endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/settings`

#### GET /settings

**Summary:** Find settings

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering settings |

##### Responses

**200** - A list of settings

Content-Type: `application/json`

---

### `/settings/{id}`

#### GET /settings/{id}

**Summary:** Get settings by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Settings details

Content-Type: `application/json`

---

#### PUT /settings/{id}

**Summary:** Update settings

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Settings updated

Content-Type: `application/json`

---

## Data Models

### SettingsFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### SettingsGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### SettingsUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `key` | string | No | No description |

| `value` | object | No | No description |

| `category` | string | No | No description |

| `description` | string | No | No description |

### SettingsUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### Settings

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `key` | string | No | No description |

| `value` | object | No | No description |

| `category` | string | No | No description |

| `description` | string | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [settings-examples.md](./settings-examples.md) for detailed TypeScript usage examples.
